OpenGL-2.9.2.0: A binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2013
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell98

Graphics.Rendering.OpenGL.GL.ConditionalRendering

Description

This module corresponds to section 10.10 (Conditional Rendering) of the OpenGL 4.4 specs.

# Documentation

data ConditionalRenderMode

Constructors

QueryWait |
QueryNoWait |
QueryByRegionWait |
QueryByRegionNoWait |

Instances

Eq ConditionalRenderMode |
Ord ConditionalRenderMode |
Show ConditionalRenderMode |

beginConditionalRender :: QueryObject -> ConditionalRenderMode -> IO ()

endConditionalRender :: IO ()

withConditionalRender :: QueryObject -> ConditionalRenderMode -> IO a -> IO a